<template>
<PermissionContainer 
    :jiBieArr=[2] 
    :isFlag="true"
    :tipArr="[,'油站调价只对集团和站点级别开放','',,'',]"  
  > 
    <div class="tabZujian" >
    <el-tabs v-model="activeName"  @tab-click="handleClick">
      <el-tab-pane label="油品管理" name="adjust" key="adjust">
        <adjust />
      </el-tab-pane>
      <el-tab-pane label="调价记录" name="record" key="record">
        <record  :getListChange="getListChange"/>
      </el-tab-pane>
    </el-tabs>
  </div>
</PermissionContainer>


</template>
<script>
import adjust from "./adjust";
import record from "./record";
export default {
  name: "Station_Adjustment",
  components: {
    adjust,
    record,
  },
  data() {
    return {
      activeName: "adjust",
      pageStatus: 0,
      getListChange:true
    };
  },
  created() {
    this.setPageStatus();
  },
  methods: {
    setPageStatus() {
      this.queryPageStatus([2]).then((res) => {
        this.pageStatus = res;
      });
    },
    handleClick(tab) {
      if(tab.name=="record"){
        this.getListChange = !this.getListChange
      }
    }
  },
};
</script>
<style>
.tabZujian {
  margin-left: 20px;
  margin-top: 20px;
}
</style>
